com.microfocus.awm.model.toolexecution

## Interface IToolResultSeverity

- All Known Implementing Classes:
    ToolResultSeverity

      public interface IToolResultSeverity

  The severity of a returned tool execution result.

  The combination of a returned tool message and severity is used to give a user feedback about the executed tool. An `Error` severity will always abort the action in which a tool descriptor was executed in. *

  Most tools should not set return codes directly but use `ToolResultSeverity.ToolResultSeverity(com.microfocus.awm.meta.interfaces.ToolDescriptor, com.microfocus.awm.model.EToolResultSeverity)` to return status based return codes. This is because the severity of a returned code is dependent of the maximum return code of a model. This is intended for command based tools which call custom scripts or programs that provide return codes directly.

  Author:
    Micro Focus
  See Also:
    `ToolResultSeverity`, `ApplicationOptions.getMaxRC()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getReturnCode()` Gets the return code, which reflects the severity in combination with the maximum return code of the AWM application's `ApplicationOptions`.

- - ### Method Detail

    - #### getReturnCode

          int getReturnCode()

      Gets the return code, which reflects the severity in combination with the maximum return code of the AWM application's `ApplicationOptions`.

      Only tools which utilize return codes in a flexible way (e.g. command based tools) should return custom return codes. All other tools should consider using `ToolResultSeverity.ToolResultSeverity(com.microfocus.awm.meta.interfaces.ToolDescriptor, com.microfocus.awm.model.EToolResultSeverity)` to return status based return codes.

      Returns:
        the return code
      See Also:
        `ApplicationOptions.getMaxRC()`, `ToolResultSeverity`

Copyright © 2015 Micro Focus GmbH. All rights reserved.